Katello - Bug #5948

Duplicates in a repeater are not allowed while creating chained lifecycle environments
05/27/2014 04:24 PM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Walden Raines
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1077886 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/444
9
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1077886
Description of problem:

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.8.25-1.el6sam.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.5.0.8-1.el6sat.qgit.2.0ef68aa.noarch
foreman-postgresql-1.5.0.8-1.el6sat.qgit.2.0ef68aa.noarch
foreman-proxy-1.5.2-1.el6sat.noarch
foreman-selinux-1.5.0-0.develop.el6sat.noarch
katello-1.5.0-17.el6sat.noarch
katello-apache-1.0-1.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.4-1.el6sat.noarch
katello-installer-0.0.28-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
pulp-server-2.3.1-0.4.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

@ 6 6 0 o o ¢ & 0 O 6 6 O O 0o 0o 0o O O 0 0 O O O 0o o o 0o o o

How reproducible:

Steps to Reproduce:

0. Make sure to use Firebug

1. Create a new org and select it from the Context selector

2. Add a new DEYV lifecycle environment with Library prior to it
3. Add a new QE lifecycle environment with DEV prior to it

Actual results:
https://bugzilla.redhat.com/show_bug.cgi?id=1077886

Firebug should show a massive error
Expected results:
Additional info:

Error: [ngRepeat:dupes] Duplicates in a repeater are not allowed. Use 'track by' expression to specify unique keys. Repeater: alert in
alerts[type], Duplicate key: string:Create Successful.
http://errors.angularjs.org/1.2.9/ngRepeat/dupes?pO=alert%20in%20alerts%5Btype%5D&p1=string%3ACreate%20Successful.
minErr/<@https://SERVER/assets/bastion/bastion-14d5cfec3ba3d848256f0870bbd5f4al.js:5
ngRepeatAction@https://geblade35.rhq.lab.eng.bos.redhat.com/assets/bastion/bastion-14d5cfec3ba3d848256f0870bbd5f4a1.js:10
$watchCollectionAction@https://qeblade35.rhq.lab.eng.bos.redhat.com/assets/bastion/bastion-14d5cfec3ba3d848256f0870bbd5f4a
.js:8
$RootScopeProvider/this.$get</Scope.prototype.$digest@https://SERVER/assets/bastion/bastion-14d5cfec3ba3d848256f0870bbd5f
4a1.js:8
$RootScopeProvider/this.$get</Scope.prototype.$apply@https://qeblade35.rhqg.lab.eng.bos.redhat.com/assets/bastion/bastion-14d5
cfec3ba3d848256f0870bbd5f4al.js:8

done@https://SERVER/assets/bastion/bastion-14d5cfec3ba3d848256f0870bbd5f4al.js:7
completeRequest@SERVER/assets/bastion/bastion-14d5cfec3ba3d848256f0870bbd5f4al.js:7
createHttpBackend/</xhr.onreadystatechange@SERVER/assets/bastion/bastion-14d5cfec3ba3d848256f0870bbd5f4al.js:7

https://SERVER/assets/bastion/bastion-14d5cfec3ba3d848256f0870bbd5f4al.js
Line 8

Related issues:
Has duplicate Katello - Bug #6350: Two success messages in sequence in the ui... Duplicate 06/24/2014

Associated revisions

Revision 85f3d2d7 - 07/17/2014 08:25 AM - Walden Raines
Fixes #5948/BZ1077886: tell alch-alert to track by index instead of value.

The items in ng-repeat are tracked by value by default. This causes
the error mentioned in the bugs if there are two items with the same
value in the array. This commit tells alch-alert to track the values

in the DOM by array index instead of value.

http://projects.theforeman.org/issues/5948
https://bugzilla.redhat.com/show_bug.cgi?id=1077886

Revision 15d48894 - 07/17/2014 08:25 AM - Walden Raines
Fixes #5948/BZ1077886: tell alch-alert to track by index instead of value.

The items in ng-repeat are tracked by value by default. This causes
the error mentioned in the bugs if there are two items with the same
value in the array. This commit tells alch-alert to track the values

in the DOM by array index instead of value.

http://projects.theforeman.org/issues/5948
https://bugzilla.redhat.com/show_bug.cgi?id=1077886

Revision 27279861 - 07/17/2014 08:50 AM - Walden Raines
Merge pull request #4449 from waldenraines/5948

Fixes #5948/BZ1077886: tell alch-alert to track by index instead of value.

Revision 5c4ce01c - 07/17/2014 08:50 AM - Walden Raines
Merge pull request #4449 from waldenraines/5948

Fixes #5948/BZ1077886: tell alch-alert to track by index instead of value.

History

#1 - 05/27/2014 04:24 PM - Brad Buckingham

- Triaged set to Yes

#2 - 07/17/2014 08:14 AM - Walden Raines
http://errors.angularjs.org/1.2.9/ngRepeat/dupes?p0=alert%20in%20alerts%5Btype%5D&p1=string%3ACreate%20Successful
https://SERVER/assets/bastion/bastion-14d5cfec3ba3d848256f0870bbd5f4a1.js
http://projects.theforeman.org/issues/5948
https://bugzilla.redhat.com/show_bug.cgi?id=1077886
http://projects.theforeman.org/issues/5948
https://bugzilla.redhat.com/show_bug.cgi?id=1077886

- Status changed from New to Assigned

- Assignee set to Walden Raines

#3 - 07/17/2014 08:18 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4449 added
- Pull request deleted ()

#4 - 07/17/2014 09:01 AM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|85{3d2d7{6689238d665ea19f62181d0657eb957.

#5 - 07/25/2014 05:53 PM - Eric Helms

- Has duplicate Bug #6350: Two success messages in sequence in the ui cause '[ngRepeat:dupes] Duplicates in a repeater are not allowed. Use ‘'track
by' expression to specify unique keys. Repeater: alert in alerts[type], Duplicate key: string:Successfully Scheduled Auto-attach.” added

#6 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
